Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.segregate.index
Class IndexSampleSegregator

    java.lang.Object
      org.encog.util.normalize.segregate.index.IndexSegregator
          org.encog.util.normalize.segregate.index.IndexSampleSegregator

All Implemented Interfaces:
  Serializable, Segregator

    public class IndexSampleSegregator

extends IndexSegregator

An index segregator is used to segregate the data according to its index. Nothing about the data is actually compared. This makes the index range segregator very useful for breaking the data into training and validation sets. For example, you could very easily determine that 70% of the data is for training, and 30% for validation. This segregator takes a starting and ending index, as well as a smple size. Everything that is between these two indexes will be used. The sample repeats over and over. For example, if you choose a sample size of 10, and a beginning index of 0 and an ending index of 5, you would get half of the first 10 element, then half of the next ten, and so on.

See Also:
  Serialized Form

Constructor Summary
`IndexSampleSegregator()` The default constructor, for reflection.
`IndexSampleSegregator(int startingIndex, int endingIndex, int sampleSize)` Construct an index sample segregator.

Method Summary
`int` | `getEndingIndex()`
`int` | `getSampleSize()`
`int` | `getStartingIndex()`
`boolean` | `shouldInclude()` Should this row be included.

Methods inherited from class org.encog.util.normalize.segregate.index.IndexSegregator
`getCurrentIndex, getNormalization, init, passInit, rollIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexSampleSegregator

    public IndexSampleSegregator()

  The default constructor, for reflection.

### IndexSampleSegregator

    public IndexSampleSegregator(int startingIndex,
                                 int endingIndex,
                                 int sampleSize)

  Construct an index sample segregator.

  Parameters:
    `startingIndex` - The starting index.
    `endingIndex` - The ending index.
    `sampleSize` - The sample size.

Method Detail

### getEndingIndex

    public int getEndingIndex()

  Returns:
    The ending index.

### getSampleSize

    public int getSampleSize()

  Returns:
    The sample size.

### getStartingIndex

    public int getStartingIndex()

  Returns:
    The starting index.

### shouldInclude

    public boolean shouldInclude()

  Should this row be included.

  Returns:
    True if this row should be included.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.